#include<iostream>
using namespace std;
double racunaj(long int a[], double p[], long int n)
{
	double s=0;
	double max=0;
	for(int i=0; i<n; i++)
	{
		s=0;
		for(int j=0;j<n;j++)
		{
			if(p[j]>=p[i])
				s+=a[j]*p[i]/100;	
		}
		if(s>max)
			max=s;	
	}
	return max;
}
main()
{
	long int n;
	scanf("%ld",&n);
	double p[n];
	long int a[n];
	for(int i = 0; i < n; i++)
		scanf("%ld%lf",&a[i],&p[i]);
	double s=racunaj(a,p,n);
	printf("%lf",s);
}